Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.docsite.ui
Class AbstractFileTransferHandler

    java.lang.Object
      javax.swing.TransferHandler
          local.tomas.docsite.ui.AbstractFileTransferHandler

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DirectoryTransferHandler, FileTransferHandler

    public abstract class AbstractFileTransferHandler

extends javax.swing.TransferHandler

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.TransferHandler
`javax.swing.TransferHandler.DropLocation, javax.swing.TransferHandler.TransferSupport`

Field Summary

Fields inherited from class javax.swing.TransferHandler
`COPY, COPY_OR_MOVE, LINK, MOVE, NONE`

Constructor Summary
`AbstractFileTransferHandler(Main main)`

Method Summary
`protected abstract boolean` | `canImport(java.io.File file)`
`boolean` | `canImport(javax.swing.TransferHandler.TransferSupport support)`
`boolean` | `importData(javax.swing.TransferHandler.TransferSupport support)`

Methods inherited from class javax.swing.TransferHandler
`canImport, createTransferable, exportAsDrag, exportDone, exportToClipboard, getCopyAction, getCutAction, getPasteAction, getSourceActions, getVisualRepresentation, importData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFileTransferHandler

    public AbstractFileTransferHandler(Main main)

Method Detail

### canImport

    protected abstract boolean canImport(java.io.File file)

### canImport

    public boolean canImport(javax.swing.TransferHandler.TransferSupport support)

  Overrides:
    `canImport` in class `javax.swing.TransferHandler`

### importData

    public boolean importData(javax.swing.TransferHandler.TransferSupport support)

  Overrides:
    `importData` in class `javax.swing.TransferHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Tomas Teubner. All Rights Reserved.